
Katello - Feature #5627

Api V2 Tasks controller:  CRUD authorization

05/07/2014 08:52 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102334 Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Associated revisions

Revision b44727d7 - 05/28/2014 01:25 AM - Eric Helms

Fixes #5627: Wrapping tasks controller in new authorization.

Revision e65b22f2 - 05/28/2014 05:41 PM - Eric Helms

Merge pull request #4151 from ehelms/fixes-5627

Fixes #5627: Wrapping tasks controller in new authorization.

History

#1 - 05/07/2014 08:53 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/28/2014 05:41 PM - Eric Helms

- Category set to API

- Status changed from New to Assigned

- Assignee set to Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 05/28/2014 05:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b44727d704469a4aeeace22d52ed900bedfa6a0b.

#4 - 05/28/2014 07:10 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102334

#5 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
